services:
    tvn7.google_reservation_calendar_config:
        class: TVn7\GoogleBundle\Services\GoogleCalendarReservationConfigurator
        arguments: ['%t_vn7_google.config%']
        
    tvn7.google_officiel_calendar_config:
        class: TVn7\GoogleBundle\Services\GoogleCalendarOfficielConfigurator
        arguments: ['%t_vn7_google.config%']

    tvn7.google_reservation_calendar:
        class: TVn7\GoogleBundle\Services\GoogleCalendarService
        configurator: ['@tvn7.google_reservation_calendar_config', configure]
        public: true

    tvn7.google_officiel_calendar:
        class: TVn7\GoogleBundle\Services\GoogleCalendarService
        configurator: ['@tvn7.google_officiel_calendar_config', configure]
        public: true
#    t_vn7_google.example:
#        class: TVn7\GoogleBundle\Example
#        arguments: ["@service_id", "plain_value", %parameter%]
